Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing.logging
[Java] Interface TestLoggingContainer

    org.gradle.api.tasks.testing.logging.TestLoggingContainer
      org.gradle.api.tasks.testing.TestLogging

All Superinterfaces:
  TestLogging

    @Experimental
    public interface TestLoggingContainer
    extends TestLogging

Container for all test logging related options. Different options can be set for each log level. Options that are set directly (without specifying a log level) apply to log level LIFECYCLE. Example:

     apply plugin: 'java'

     test {
         testLogging {
             // set options for log level LIFECYCLE
             events "failed"
             exceptionFormat "short"
             // set options for log level DEBUG
             debug {
                 events "started", "skipped", "failed"
                 exceptionFormat "full"
             }
         }
     }

The defaults that are in place show progressively more information on log levels LIFECYCLE, INFO, and DEBUG, respectively.

Method Summary
`void` | `debug(Action action)` Configures logging options for debug level.
`void` | `error(Action action)` Configures logging options for error level.
`TestLogging` | `get(LogLevel level)` Returns logging options for the specified level.
`TestLogging` | `getDebug()` Returns logging options for debug level.
`TestLogging` | `getError()` Returns logging options for error level.
`TestLogging` | `getInfo()` Gets logging options for info level.
`TestLogging` | `getLifecycle()` Returns logging options for lifecycle level.
`TestLogging` | `getQuiet()` Returns logging options for quiet level.
`TestLogging` | `getWarn()` Gets logging options for warn level.
`void` | `info(Action action)` Configures logging options for info level.
`void` | `lifecycle(Action action)` Configures logging options for lifecycle level.
`void` | `quiet(Action action)` Configures logging options for quiet level.
`void` | `setDebug(TestLogging logging)` Sets logging options for debug level.
`void` | `setError(TestLogging logging)` Sets logging options for error level.
`void` | `setInfo(TestLogging logging)` Sets logging options for info level.
`void` | `setLifecycle(TestLogging logging)` Sets logging options for lifecycle level.
`void` | `setQuiet(TestLogging logging)` Sets logging options for quiet level.
`void` | `setWarn(TestLogging logging)` Sets logging options for warn level.
`void` | `warn(Action action)` Configures logging options for warn level.

Methods inherited from interface TestLogging
getShowStandardStreams, setShowStandardStreams

Method Detail

### debug

    public void debug(Action action)

  Configures logging options for debug level.
  Parameters:
    `action` - logging options for debug level

### error

    public void error(Action action)

  Configures logging options for error level.
  Parameters:
    `action` - logging options for error level

### get

    public TestLogging get(LogLevel level)

  Returns logging options for the specified level.
  Parameters:
    `level` - the level whose logging options are to be returned
  Returns:
    logging options for the specified level

### getDebug

    public TestLogging getDebug()

  Returns logging options for debug level.
  Returns:
    logging options for debug level

### getError

    public TestLogging getError()

  Returns logging options for error level.
  Returns:
    logging options for error level

### getInfo

    public TestLogging getInfo()

  Gets logging options for info level.
  Returns:
    logging options for info level

### getLifecycle

    public TestLogging getLifecycle()

  Returns logging options for lifecycle level.
  Returns:
    logging options for lifecycle level

### getQuiet

    public TestLogging getQuiet()

  Returns logging options for quiet level.
  Returns:
    logging options for quiet level

### getWarn

    public TestLogging getWarn()

  Gets logging options for warn level.
  Returns:
    logging options for warn level

### info

    public void info(Action action)

  Configures logging options for info level.
  Parameters:
    `action` - logging options for info level

### lifecycle

    public void lifecycle(Action action)

  Configures logging options for lifecycle level.
  Parameters:
    `action` - logging options for lifecycle level

### quiet

    public void quiet(Action action)

  Configures logging options for quiet level.
  Parameters:
    `action` - logging options for quiet level

### setDebug

    public void setDebug(TestLogging logging)

  Sets logging options for debug level.
  Parameters:
    `logging` - logging options for debug level

### setError

    public void setError(TestLogging logging)

  Sets logging options for error level.
  Parameters:
    `logging` - logging options for error level

### setInfo

    public void setInfo(TestLogging logging)

  Sets logging options for info level.
  Parameters:
    `logging` - logging options for info level

### setLifecycle

    public void setLifecycle(TestLogging logging)

  Sets logging options for lifecycle level.
  Parameters:
    `logging` - logging options for lifecycle level

### setQuiet

    public void setQuiet(TestLogging logging)

  Sets logging options for quiet level.
  Parameters:
    `logging` - logging options for quiet level

### setWarn

    public void setWarn(TestLogging logging)

  Sets logging options for warn level.
  Parameters:
    `logging` - logging options for warn level

### warn

    public void warn(Action action)

  Configures logging options for warn level.
  Parameters:
    `action` - logging options for warn level

Gradle API 1.1-rc-1